Bug 5845 - winbind core everyday
winbind core everyday
Status: RESOLVED DUPLICATE of bug 5915
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.32
x86 FreeBSD
: P3 critical
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 01:39 UTC by dish
Modified: 2009-07-27 15:52 UTC (History)
1 user (show)

See Also:


Attachments
smb.conf (10.39 KB, text/plain)
2008-10-27 06:48 UTC, dish
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dish 2008-10-23 01:39:56 UTC
[2008/10/23 06:05:00, 6] nsswitch/winbindd.c:new_connection(640)
  accepted socket 36
[2008/10/23 06:05:00, 10] lib/events.c:event_add_timed(129)
  Added timed event "async_request_timeout": 2080f450
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999943
[2008/10/23 06:05:00, 10] nsswitch/winbindd.c:process_request(326)
  process_request: request fn INTERFACE_VERSION
[2008/10/23 06:05:00, 3] nsswitch/winbindd_misc.c:winbindd_interface_version(491)
  [ 4353]: request interface version
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999775
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999694
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999568
[2008/10/23 06:05:00, 10] nsswitch/winbindd.c:process_request(326)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2008/10/23 06:05:00, 3] nsswitch/winbindd_misc.c:winbindd_priv_pipe_dir(524)
  [ 4353]: request location of privileged pipe
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999358
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999299
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/999239
[2008/10/23 06:05:00, 6] nsswitch/winbindd.c:new_connection(640)
  accepted socket 37
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/998975
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/998891
[2008/10/23 06:05:00, 10] nsswitch/winbindd.c:process_request(326)
  process_request: request fn ENDGRENT
[2008/10/23 06:05:00, 3] nsswitch/winbindd_group.c:winbindd_endgrent(776)
  [ 4353]: endgrent
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/998720
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/998632
[2008/10/23 06:05:00, 10] lib/events.c:get_timed_events_timeout(295)
  timed_events_timeout: 299/997933
[2008/10/23 06:05:00, 10] nsswitch/winbindd.c:process_request(326)
  process_request: request fn GETGRENT
[2008/10/23 06:05:00, 3] nsswitch/winbindd_group.c:winbindd_getgrent(908)
  [ 4353]: getgrent
[2008/10/23 06:05:00, 3] nsswitch/winbindd_group.c:winbindd_setgrent_internal(714)
  [ 4353]: setgrent
[2008/10/23 06:05:00, 10] nsswitch/winbindd_group.c:winbindd_getgrent(961)
  entry_index = 0, num_entries = 0
[2008/10/23 06:05:00, 10] nsswitch/winbindd_cache.c:fetch_cache_seqnum(411)
  fetch_cache_seqnum: success [ZPI][2196040 @ 1224727500]
[2008/10/23 06:05:00, 10] nsswitch/winbindd_cache.c:refresh_sequence_number(505)
  refresh_sequence_number: ZPI seq number is now 2196040
[2008/10/23 06:05:00, 10] nsswitch/winbindd_cache.c:centry_expired(550)
  centry_expired: Key GL/ZPI/domain for domain ZPI expired
[2008/10/23 06:05:00, 10] nsswitch/winbindd_cache.c:wcache_fetch(622)
  wcache_fetch: entry GL/ZPI/domain expired for domain ZPI
[2008/10/23 06:05:00, 10] nsswitch/winbindd_cache.c:enum_dom_groups(1241)
  enum_dom_groups: [Cached] - doing backend query for list for domain ZPI
[2008/10/23 06:05:00, 3] nsswitch/winbindd_ads.c:enum_dom_groups(275)
  ads: enum_dom_groups
[2008/10/23 06:05:00, 10] nsswitch/winbindd_ads.c:ads_cached_connection(46)
  ads_cached_connection
[2008/10/23 06:05:00, 7] nsswitch/winbindd_ads.c:ads_cached_connection(59)
  Current tickets expire in 27 seconds (at 1224727527, time is now 1224727500)
Assertion failed: (r != NULL), function ldap_parse_result, file error.c, line 272.
[2008/10/23 06:05:00, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2008/10/23 06:05:00, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 6 in pid 1090 (3.0.32)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2008/10/23 06:05:00, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2008/10/23 06:05:00, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2008/10/23 06:05:00, 0] lib/util.c:smb_panic(1633)
  PANIC (pid 1090): internal error
[2008/10/23 06:05:00, 0] lib/util.c:log_stack_trace(1737)
  BACKTRACE: 19 stack frames:
   #0 0xd32bd <smb_panic+93> at /usr/local/sbin/winbindd
   #1 0xbd686 <dump_core_setup+1014> at /usr/local/sbin/winbindd
   #2 0xbfbfffb4
   #3 0x2068cb8a <abort+106> at /lib/libc.so.7
   #4 0x20675096 <__assert+86> at /lib/libc.so.7
   #5 0x2058243f <ldap_parse_result+863> at /usr/local/lib/libldap-2.4.so.3
   #6 0x1db57c <ads_clear_service_principal_names+2172> at /usr/local/sbin/winbindd
   #7 0x1db8ff <ads_do_search_all_args+111> at /usr/local/sbin/winbindd
   #8 0x1e4c09 <ads_atype_map+361> at /usr/local/sbin/winbindd
   #9 0x1e518a <ads_do_search_retry+58> at /usr/local/sbin/winbindd
   #10 0x1e535d <ads_search_retry+77> at /usr/local/sbin/winbindd
   #11 0x6879e <msrpc_name_to_sid+15550> at /usr/local/sbin/winbindd
   #12 0x4fb4d <cache_name2sid+10973> at /usr/local/sbin/winbindd
   #13 0x4489b <winbindd_getgroups+1851> at /usr/local/sbin/winbindd
   #14 0x47028 <winbindd_getgrent+968> at /usr/local/sbin/winbindd
   #15 0x3fd80 <request_finished_cont+896> at /usr/local/sbin/winbindd
   #16 0x40379 <winbind_check_sighup+521> at /usr/local/sbin/winbindd
   #17 0x40df4 <main+2420> at /usr/local/sbin/winbindd
   #18 0x3ef99 <_start+137> at /usr/local/sbin/winbindd
[2008/10/23 06:05:00, 0] lib/fault.c:dump_core(181)
  dumping core in /var/log/samba/cores/winbindd
Comment 1 Jim McDonough 2008-10-24 08:17:45 UTC
please attach an smb.conf
Comment 2 dish 2008-10-27 06:48:55 UTC
Created attachment 3692 [details]
smb.conf
Comment 3 Arne 2008-12-06 10:07:13 UTC
We experience the same winbind crashes. After 40h of running normal, the CPU load of winbind will rise to 100% and it will crash shortly afterwards. Backtrace looks like dish ones. A workaround is to restart winbind periodically. 
According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=484235 3.2.x releases are also affected.

- Xen DomU
- OS: Ubuntu 8.04
- Kernel: 2.6.26-1-xen-amd64
- Samba: 3.0.28a
- Active Directory Forest with 6 Domains
- 70 users in the domain, which is used with samba/winbind
Comment 4 SATOH Fumiyasu 2008-12-12 03:41:54 UTC
I think this bug is a duplicate of bug #5915.
Comment 5 Matthias Dieter Wallnöfer 2009-07-27 15:52:06 UTC
Thanks! Marking as such.

*** This bug has been marked as a duplicate of bug 5915 ***